//<![CDATA[
function parseXML(text) {
    var doc;

    if(window.DOMParser) {
        var parser = new DOMParser();
        try {
          text = text.trim();
          doc = parser.parseFromString(text, "text/xml");
        } catch (exception) {
          // not well formed
          throw new Error("Cannot parse XML");
        }
    }
    else if(window.ActiveXObject) {
        doc = new ActiveXObject("Microsoft.XMLDOM");
        doc.async = "false";
        doc.loadXML(text);
    }
    else {
        throw new Error("Cannot parse XML");
    }

    return doc;
}
//]]>
