//<![CDATA[
var Preset = function()
{
  /*var privateStaticNodeFiller = function(form_node, value) {
    if (form_node != null) {
      if (form_node.options == null)
        form_node.value = value;
      else {
        var foundOption = false;
        // try to select an existing option
        for (var key in form_node.options) {
          if (form_node.options.hasOwnProperty(key)) {
            if (form_node.options[key].text == value) {
              form_node.options[key].selected = true;
              foundOption = true;
              break;
            }
          }
        }
        if (!foundOption) {
          var option = new Option (value, value);
          form_node.add(option);
          form_node.selectedIndex = form_node.options.length - 1;
        }
      }
    }
  };*/
  //var privateStaticVariable = "foo";

  var constructor = function Preset(temp, time, cycles, up, down)
  {
    var myTemp = temp;
    var myTime = time;
    var myCylces = cycles;
    var myUp = up;
    var myDown = down;
    var myName;

    var privateNodeFiller = function(form_node, value) {
      if (form_node != null) {
        if (form_node.options == null)
          form_node.value = value;
        else {
          var foundOption = false;
          // try to select an existing option
          for (var key in form_node.options) {
            if (form_node.options.hasOwnProperty(key)) {
              if (form_node.options[key].text == value) {
                form_node.options[key].selected = true;
                foundOption = true;
                break;
              }
            }
          }
          if (!foundOption) {
            var option = new Option (value, value);
            form_node.add(option);
            form_node.selectedIndex = form_node.options.length - 1;
          }
        }
      }
    };
    
    this.publicFillFormValues = function(name, destination_form) {
      if (destination_form != null) {
        var node;
        myName = name;
        node = destination_form.elements["climate_settings__cycle__rounds"];
        privateNodeFiller(node, myCylces);
        node = destination_form.elements["climate_settings__gradient__positive"];
        privateNodeFiller(node, myUp);
        node = destination_form.elements["climate_settings__gradient__negative"];
        privateNodeFiller(node, myDown);
        for (var i = 0; i < myTemp.length; ++i) {
          node = destination_form.elements["climate_settings__temperature__index"+ (i)];
          privateNodeFiller(node, myTemp[i]);
        }
        for (var i = 0; i < myTime.length; ++i) {
          node = destination_form.elements["climate_settings__time__index"+ (i)];
          privateNodeFiller(node, myTime[i]);
        }
        node = destination_form.elements["climate_settings__presetting"];
        privateNodeFiller(node, myName);
      }
    };
  };

  constructor.publicStaticClearFormValues = function(name, destination_form, field_count) {
    var temp = [];
    var time = [];
    for (var i = 0; i < field_count; ++i) {
      temp[i] = "";
      time[i] = "";
    }
    var emptyPreset = new Preset(temp, time, 1, "", "");
    emptyPreset.publicFillFormValues(name, destination_form);
  };

  return constructor;
}();
//]]>
